import * as $dara from '@darabonba/typescript';
export declare class DescribeCloudAssistantSettingsResponseBodyAgentUpgradeConfigAllowedUpgradeWindows extends $dara.Model {
    allowedUpgradeWindow?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBodyAgentUpgradeConfig extends $dara.Model {
    allowedUpgradeWindows?: DescribeCloudAssistantSettingsResponseBodyAgentUpgradeConfigAllowedUpgradeWindows;
    bootstrapUpgrade?: boolean;
    disableUpgrade?: boolean;
    /**
     * @remarks
     * Indicates whether custom upgrade is enabled for Cloud Assistant Agent. If the value is false or empty, an upgrade attempt is performed for Cloud Assistant Agent every 30 minutes.
     *
     * @example
     * true
     */
    enabled?: boolean;
    /**
     * @remarks
     * The time zone of the time windows.
     *
     * @example
     * Asia/Shanghai
     */
    timeZone?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBodyOssDeliveryConfigsOssDeliveryConfig extends $dara.Model {
    bucketName?: string;
    deliveryType?: string;
    enabled?: boolean;
    encryptionAlgorithm?: string;
    encryptionKeyId?: string;
    encryptionType?: string;
    prefix?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBodyOssDeliveryConfigs extends $dara.Model {
    ossDeliveryConfig?: DescribeCloudAssistantSettingsResponseBodyOssDeliveryConfigsOssDeliveryConfig[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBodyResourceUsageConfig extends $dara.Model {
    cpuLimit?: number;
    keepScriptFile?: boolean;
    logFileCountLimit?: number;
    logSizeLimit?: string;
    memoryLimit?: string;
    overloadLimit?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBodySessionManagerConfig extends $dara.Model {
    /**
     * @remarks
     * Specify whether to enable Cloud Assistant Session Manager. Valid values:
     *
     * *   true: Enables the feature.
     * *   false: Disables the feature.
     *
     * Note:
     *
     * *   The feature applies to all regions.
     *
     * @example
     * true
     */
    sessionManagerEnabled?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBodySlsDeliveryConfigsSlsDeliveryConfig extends $dara.Model {
    deliveryType?: string;
    enabled?: boolean;
    logstoreName?: string;
    projectName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBodySlsDeliveryConfigs extends $dara.Model {
    slsDeliveryConfig?: DescribeCloudAssistantSettingsResponseBodySlsDeliveryConfigsSlsDeliveryConfig[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCloudAssistantSettingsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The configurations for upgrading Cloud Assistant Agent.
     */
    agentUpgradeConfig?: DescribeCloudAssistantSettingsResponseBodyAgentUpgradeConfig;
    ossDeliveryConfigs?: DescribeCloudAssistantSettingsResponseBodyOssDeliveryConfigs;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3****
     */
    requestId?: string;
    resourceUsageConfig?: DescribeCloudAssistantSettingsResponseBodyResourceUsageConfig;
    /**
     * @remarks
     * Cloud Assistant Session Manager configuration.
     */
    sessionManagerConfig?: DescribeCloudAssistantSettingsResponseBodySessionManagerConfig;
    slsDeliveryConfigs?: DescribeCloudAssistantSettingsResponseBodySlsDeliveryConfigs;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
